Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.binding.xml
Class UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler<I>

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.teleal.common.xml.SAXParser.Handler<I>
              org.teleal.cling.binding.xml.UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler<I>

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

Direct Known Subclasses:
  UDA10ServiceDescriptorBinderSAXImpl.ActionArgumentHandler, UDA10ServiceDescriptorBinderSAXImpl.ActionArgumentListHandler, UDA10ServiceDescriptorBinderSAXImpl.ActionHandler, UDA10ServiceDescriptorBinderSAXImpl.ActionListHandler, UDA10ServiceDescriptorBinderSAXImpl.AllowedValueListHandler, UDA10ServiceDescriptorBinderSAXImpl.AllowedValueRangeHandler, UDA10ServiceDescriptorBinderSAXImpl.RootHandler, UDA10ServiceDescriptorBinderSAXImpl.StateVariableHandler, UDA10ServiceDescriptorBinderSAXImpl.StateVariableListHandler

Enclosing class:
  UDA10ServiceDescriptorBinderSAXImpl

    protected static class UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler<I>

extends org.teleal.common.xml.SAXParser.Handler<I>

Field Summary

Fields inherited from class org.teleal.common.xml.SAXParser.Handler
`attributes, characters, instance, parent, parser`

Constructor Summary
`UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler(I instance)`
`UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler(I instance, org.teleal.common.xml.SAXParser parser)`
`UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler(I instance, org.teleal.common.xml.SAXParser parser, UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler parent)`
`UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler(I instance, UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler parent)`

Method Summary
`void` | `endElement(Descriptor.Service.ELEMENT element)`
`void` | `endElement(String uri, String localName, String qName)`
`boolean` | `isLastElement(Descriptor.Service.ELEMENT element)`
`protected boolean` | `isLastElement(String uri, String localName, String qName)`
`void` | `startElement(Descriptor.Service.ELEMENT element, Attributes attributes)`
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)`

Methods inherited from class org.teleal.common.xml.SAXParser.Handler
`characters, getAttributes, getCharacters, getInstance, getParent, getParser, switchToParent`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler

    public UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler(I instance)

### UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler

    public UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler(I instance,
                                                                        org.teleal.common.xml.SAXParser parser)

### UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler

    public UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler(I instance,
                                                                        UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler parent)

### UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler

    public UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler(I instance,
                                                                        org.teleal.common.xml.SAXParser parser,
                                                                        UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler parent)

Method Detail

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `org.teleal.common.xml.SAXParser.Handler<I>`
  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `org.teleal.common.xml.SAXParser.Handler<I>`
  Throws:
    `SAXException`

### isLastElement

    protected boolean isLastElement(String uri,
                                    String localName,
                                    String qName)

  Overrides:
    `isLastElement` in class `org.teleal.common.xml.SAXParser.Handler<I>`

### startElement

    public void startElement(Descriptor.Service.ELEMENT element,
                             Attributes attributes)
                      throws SAXException

  Throws:
    `SAXException`

### endElement

    public void endElement(Descriptor.Service.ELEMENT element)
                    throws SAXException

  Throws:
    `SAXException`

### isLastElement

    public boolean isLastElement(Descriptor.Service.ELEMENT element)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.